# Constant Field Values

## Contents

- org.jcsp.*

## org.jcsp.*

org.jcsp.awt.ActiveApplet
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TIMEOUT_ACK`
`10000`
`public static final int`
`DESTROY`
`2`
`public static final int`
`START`
`1`
`public static final int`
`STOP`
`0`

org.jcsp.lang.AltingConnectionServerImpl
Modifier and Type
Constant Field
Value
`protected static final int`
`SERVER_STATE_CLOSED`
`1`
`protected static final int`
`SERVER_STATE_OPEN`
`2`
`protected static final int`
`SERVER_STATE_RECEIVED`
`3`
org.jcsp.lang.InlineAlternative
Modifier and Type
Constant Field
Value
`public static final int`
`MODE_ARBITRARY`
`0`
`public static final int`
`MODE_FAIR`
`1`
`public static final int`
`MODE_PRI`
`2`
org.jcsp.lang.ProcessManager
Modifier and Type
Constant Field
Value
`public static final int`
`PRIORITY_MAX`
`10`
`public static final int`
`PRIORITY_MIN`
`1`
`public static final int`
`PRIORITY_NORM`
`5`
org.jcsp.lang.SpuriousLog
Modifier and Type
Constant Field
Value
`public static final int`
`AlternativeSelect`
`32`
`public static final int`
`AlternativeSelectWithTimeout`
`33`
`public static final int`
`AltingBarrierCoordinateStartEnable`
`36`
`public static final int`
`Any2AnyChannelIntRead`
`24`
`public static final int`
`Any2AnyChannelIntWrite`
`25`
`public static final int`
`Any2AnyChannelIntXRead`
`26`
`public static final int`
`Any2AnyChannelIntXWrite`
`27`
`public static final int`
`Any2AnyChannelRead`
`28`
`public static final int`
`Any2AnyChannelWrite`
`29`
`public static final int`
`Any2AnyChannelXRead`
`30`
`public static final int`
`Any2AnyChannelXWrite`
`31`
`public static final int`
`Any2OneChannelIntRead`
`8`
`public static final int`
`Any2OneChannelIntWrite`
`9`
`public static final int`
`Any2OneChannelIntXRead`
`10`
`public static final int`
`Any2OneChannelIntXWrite`
`11`
`public static final int`
`Any2OneChannelRead`
`12`
`public static final int`
`Any2OneChannelWrite`
`13`
`public static final int`
`Any2OneChannelXRead`
`14`
`public static final int`
`Any2OneChannelXWrite`
`15`
`public static final int`
`BarrierSync`
`34`
`public static final int`
`BucketFallInto`
`35`
`public static final int`
`One2AnyChannelIntRead`
`16`
`public static final int`
`One2AnyChannelIntWrite`
`17`
`public static final int`
`One2AnyChannelIntXRead`
`18`
`public static final int`
`One2AnyChannelIntXWrite`
`19`
`public static final int`
`One2AnyChannelRead`
`20`
`public static final int`
`One2AnyChannelWrite`
`21`
`public static final int`
`One2AnyChannelXRead`
`22`
`public static final int`
`One2AnyChannelXWrite`
`23`
`public static final int`
`One2OneChannelIntRead`
`0`
`public static final int`
`One2OneChannelIntWrite`
`1`
`public static final int`
`One2OneChannelIntXRead`
`2`
`public static final int`
`One2OneChannelIntXWrite`
`3`
`public static final int`
`One2OneChannelRead`
`4`
`public static final int`
`One2OneChannelWrite`
`5`
`public static final int`
`One2OneChannelXRead`
`6`
`public static final int`
`One2OneChannelXWrite`
`7`
`public static final int`
`StopRun`
`37`

org.jcsp.net.Logger
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CLASS_NAME`
`"Application"`
`public static final int`
`DEFAULT_LOGGING_LEVEL`
`5`
`public static final int`
`MAX_LOGGING`
`1`

org.jcsp.net.cns.CNS
Modifier and Type
Constant Field
Value
`public static final String`
`CNS_DEFAULT_SERVICE_NAME`
`"org.jcsp.net.cns:Channel Name Server"`
org.jcsp.net.cns.CNSService
Modifier and Type
Constant Field
Value
`public static final String`
`CNS_DEFAULT_SERVICE_NAME`
`"org.jcsp.net.cns.CNSService - The CNS."`
`public static final String`
`CNS_SETTING_NAME_ADDRESS`
`"cns_address"`
`public static final String`
`CNS_SETTING_NAME_ADMIN_CHANNEL_LABEL`
`"admin_chan_label"`
`public static final String`
`CNS_SETTING_NAME_SERVICE_NAME`
`"cns_service_name"`

org.jcsp.net.dynamic.DynamicClassLoader
Modifier and Type
Constant Field
Value
`public static final String`
`name`
`"dynamic_class_loading"`

org.jcsp.net.settings.XMLConfigConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_TYPE_INDICATOR_BOOLEAN`
`"boolean"`
`public static final String`
`DATA_TYPE_INDICATOR_DOUBLE`
`"dec"`
`public static final String`
`DATA_TYPE_INDICATOR_INT`
`"int"`
`public static final String`
`DATA_TYPE_INDICATOR_STRING`
`"string"`
`public static final String`
`ELEMENT_ADDRESS`
`"ADDRESS"`
`public static final String`
`ELEMENT_ADDRESS_SETTING`
`"ADDRESS_SETTING"`
`public static final String`
`ELEMENT_ADDRESSES`
`"ADDRESSES"`
`public static final String`
`ELEMENT_CONNECTION_ORIENTED`
`"CONNECTION-ORIENTED"`
`public static final String`
`ELEMENT_LINK_PROFILE`
`"LINK_PROFILE"`
`public static final String`
`ELEMENT_LINK_PROFILES`
`"LINK_PROFILES"`
`public static final String`
`ELEMENT_LINK_REQ_MAXPING`
`"LINK_MAXPING"`
`public static final String`
`ELEMENT_LINK_REQ_MINSPEED`
`"LINK_MINSPEED"`
`public static final String`
`ELEMENT_LINK_REQ_OTHER`
`"LINK_REQ"`
`public static final String`
`ELEMENT_LINK_REQ_PROTOCOL`
`"LINK_REQ_PROTOCOL"`
`public static final String`
`ELEMENT_LINK_REQS`
`"LINK_REQS"`
`public static final String`
`ELEMENT_MAXSPEED`
`"MAXSPEED"`
`public static final String`
`ELEMENT_MEMORY`
`"MEMORY"`
`public static final String`
`ELEMENT_NODE_PROFILE`
`"NODE_PROFILE"`
`public static final String`
`ELEMENT_NODE_PROFILES`
`"NODE_PROFILES"`
`public static final String`
`ELEMENT_NODE_REQ_MINMEMORY`
`"NODE_MINMEMORY"`
`public static final String`
`ELEMENT_NODE_REQ_MINSPEED`
`"NODE_MINSPEED"`
`public static final String`
`ELEMENT_NODE_REQ_OTHER`
`"NODE_REQ"`
`public static final String`
`ELEMENT_NODE_REQS`
`"NODE_REQS"`
`public static final String`
`ELEMENT_NODE_SPECS`
`"NODE_SPECS"`
`public static final String`
`ELEMENT_OTHERSPEC`
`"OTHERSPEC"`
`public static final String`
`ELEMENT_PLUGIN`
`"PLUGIN"`
`public static final String`
`ELEMENT_PLUGINS`
`"PLUGINS"`
`public static final String`
`ELEMENT_PROTOCOL`
`"PROTOCOL"`
`public static final String`
`ELEMENT_PROTOCOL_SETTING`
`"PROTOCOL_SETTING"`
`public static final String`
`ELEMENT_PROTOCOL_SETTINGS`
`"PROTOCOL_SETTINGS"`
`public static final String`
`ELEMENT_PROTOCOLS`
`"PROTOCOLS"`
`public static final String`
`ELEMENT_RELIABLE`
`"RELIABLE"`
`public static final String`
`ELEMENT_SERVICE`
`"SERVICE"`
`public static final String`
`ELEMENT_SERVICES`
`"SERVICES"`
`public static final String`
`ELEMENT_SETTING`
`"SETTING"`
`public static final String`
`ELEMENT_SETTINGS`
`"SETTINGS"`
`public static final String`
`ELEMENT_SPECS`
`"SPECS"`
`public static final String`
`ELEMENT_WIRELESS`
`"WIRELESS"`
`public static final String`
`REQ_COMPARATOR_EQUALS`
`"EQU"`
`public static final String`
`REQ_COMPARATOR_GREATER`
`"GRT"`
`public static final String`
`REQ_COMPARATOR_LESS`
`"LTH"`
`public static final String`
`REQ_NAME_MAXPING`
`"MAXPING"`
`public static final String`
`REQ_NAME_MINMEMORY`
`"MINMEMORY"`
`public static final String`
`REQ_NAME_MINSPEED`
`"MINSPEED"`
`public static final String`
`REQ_NAME_PROTOCOL`
`"REQPROTOCOL"`
`public static final String`
`SPEC_NAME_CONNECTION_ORIENTED`
`"CONNECTION-ORIENTED"`
`public static final String`
`SPEC_NAME_MAXSPEED`
`"MAXSPEED"`
`public static final String`
`SPEC_NAME_MEMORY`
`"MEMORY"`
`public static final String`
`SPEC_NAME_PING`
`"AAAPING"`
`public static final String`
`SPEC_NAME_PROTOCOL`
`"PROTOCOL"`
`public static final String`
`SPEC_NAME_RELIABLE`
`"RELIABLE"`
`public static final String`
`SPEC_NAME_WIRELESS`
`"WIRELESS"`
`public static final String`
`XML_BOOLEAN_FALSE`
`"FALSE"`
`public static final String`
`XML_BOOLEAN_TRUE`
`"TRUE"`
`public static final String`
`XML_TRISTATE_CANBE`
`"CANBE"`
`public static final String`
`XML_TRISTATE_FALSE`
`"FALSE"`
`public static final String`
`XML_TRISTATE_TRUE`
`"TRUE"`

org.jcsp.net.tcpip.TCPIPCNSServer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CNS_PORT`
`7890`

org.jcsp.util.ChannelDataStore
Modifier and Type
Constant Field
Value
`public static final int`
`EMPTY`
`0`
`public static final int`
`FULL`
`2`
`public static final int`
`NONEMPTYFULL`
`1`

org.jcsp.util.ints.ChannelDataStoreInt
Modifier and Type
Constant Field
Value
`public static final int`
`EMPTY`
`0`
`public static final int`
`FULL`
`2`
`public static final int`
`NONEMPTYFULL`
`1`